This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 977141 - Review Request: nodejs-grunt-init - Generate project scaffolding from a template
Review Request: nodejs-grunt-init - Generate project scaffolding from a template
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On: 977128 1057505
Blocks: nodejs-reviews js-jquery1
  Show dependency treegraph
 
Reported: 2013-06-23 14:02 EDT by Jamie Nguyen
Modified: 2014-03-19 15:25 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-19 15:25:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
zbyszek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jamie Nguyen 2013-06-23 14:02:13 EDT
Spec URL: http://jamielinux.fedorapeople.org/grunt/nodejs-grunt-init.spec
SRPM URL: http://jamielinux.fedorapeople.org/grunt/SRPMS/nodejs-grunt-init-0.2.1-1.fc19.src.rpm
Fedora Account System Username: jamielinux

Description:
Generate project scaffolding from a template.
Comment 1 Marcelo Barbosa "firemanxbr" 2013-07-21 17:56:21 EDT
Jamie,

   Please see this issues about installing your package: 

Installation errors
-------------------
INFO: mock.py version 1.1.32 starting...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Mock Version: 1.1.32
INFO: Mock Version: 1.1.32
Start: lock buildroot
INFO: installing package(s): /home/marcelo.barbosa/rpmbuild/SOURCES/reviews/977141-nodejs-grunt-init/results/nodejs-grunt-init-0.2.1-1.fc19.noarch.rpm
ERROR: Command failed:
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-19-x86_64/root/', 'install', '/home/marcelo.barbosa/rpmbuild/SOURCES/reviews/977141-nodejs-grunt-init/results/nodejs-grunt-init-0.2.1-1.fc19.noarch.rpm']
Error: Package: nodejs-grunt-init-0.2.1-1.fc19.noarch (/nodejs-grunt-init-0.2.1-1.fc19.noarch)
           Requires: npm(grunt) >= 0.4
Error: Package: nodejs-grunt-init-0.2.1-1.fc19.noarch (/nodejs-grunt-init-0.2.1-1.fc19.noarch)
           Requires: npm(grunt) < 1
Error: Package: nodejs-grunt-init-0.2.1-1.fc19.noarch (/nodejs-grunt-init-0.2.1-1.fc19.noarch)
           Requires: npm(hooker) < 1
Error: Package: nodejs-grunt-init-0.2.1-1.fc19.noarch (/nodejs-grunt-init-0.2.1-1.fc19.noarch)
           Requires: npm(prompt) >= 0.2
Error: Package: nodejs-grunt-init-0.2.1-1.fc19.noarch (/nodejs-grunt-init-0.2.1-1.fc19.noarch)
           Requires: npm(hooker) >= 0.2
Error: Package: nodejs-grunt-init-0.2.1-1.fc19.noarch (/nodejs-grunt-init-0.2.1-1.fc19.noarch)
           Requires: npm(prompt) < 1
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Regards.

Marcelo Barbosa - (firemanxbr)
Comment 2 Jamie Nguyen 2013-07-22 03:36:53 EDT
Sorry, forgot to add nodejs-grunt to "Depends On".
Comment 3 Zbigniew Jędrzejewski-Szmek 2013-10-07 12:04:02 EDT
I'm doing this review, because it's blocking jquery, which is blocking ipython :)

>>> After adding BuildRequires: nodejs-grunt <<<

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

Issues:
=======
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find LICENSE-Apache-2.0 in rpm(s)
  See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
I see MIT everywhere. I don't know why fedora-review complains about the file with Apache license.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
(nodejs style)
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
Modulo /usr/bin/env.

[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
Requires:/usr/bin/env should go away.

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-grunt-init-0.2.1-1.fc19.noarch.rpm
nodejs-grunt-init.noarch: W: only-non-binary-in-usr-lib
nodejs-grunt-init.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-init/node_modules/colors /usr/lib/node_modules/colors
nodejs-grunt-init.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-init/node_modules/grunt /usr/lib/node_modules/grunt
nodejs-grunt-init.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-init/node_modules/hooker /usr/lib/node_modules/hooker
nodejs-grunt-init.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-init/node_modules/semver /usr/lib/node_modules/semver
nodejs-grunt-init.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-init/node_modules/prompt /usr/lib/node_modules/prompt
1 packages and 0 specfiles checked; 0 errors, 6 warnings.

OK.


Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-grunt-init
nodejs-grunt-init.noarch: W: only-non-binary-in-usr-lib
nodejs-grunt-init.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-init/node_modules/colors /usr/lib/node_modules/colors
nodejs-grunt-init.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-init/node_modules/grunt /usr/lib/node_modules/grunt
nodejs-grunt-init.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-init/node_modules/hooker /usr/lib/node_modules/hooker
nodejs-grunt-init.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-init/node_modules/semver /usr/lib/node_modules/semver
nodejs-grunt-init.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-init/node_modules/prompt /usr/lib/node_modules/prompt
1 packages and 0 specfiles checked; 0 errors, 6 warnings.
# echo 'rpmlint-done:'

OK.

Requires
--------
nodejs-grunt-init (rpmlib, GLIBC filtered):
    /usr/bin/env
    nodejs(engine)
    npm(colors)
    npm(grunt)
    npm(hooker)
    npm(prompt)
    npm(semver)


Provides
--------
nodejs-grunt-init:
    nodejs-grunt-init
    npm(grunt-init)

Source checksums
----------------
http://registry.npmjs.org/grunt-init/-/grunt-init-0.2.1.tgz :
  CHECKSUM(SHA256) this package     : dc5bb4052d5da7d9430081f61793e548d7dc45070df4b155151958b268e089db
  CHECKSUM(SHA256) upstream package : dc5bb4052d5da7d9430081f61793e548d7dc45070df4b155151958b268e089db

Issues
------

Please sed /usr/bin/env out.

Please add something to the %description that tells people unfamiliar with nodejs what this package does.

I think the package is good to go when those minor issues are fixed.
Comment 4 Zbigniew Jędrzejewski-Szmek 2013-10-08 13:50:29 EDT
nodejs-semver is now at 2.1.0-1 which makes this package uninstallable :(
Comment 5 Jens Petersen 2014-01-04 03:12:25 EST
Any news?  Does patching help?
Comment 6 Jens Petersen 2014-01-04 03:12:51 EST
Or can upstream push an update to help?
Comment 7 Jamie Nguyen 2014-01-11 09:39:01 EST
Spec URL: http://jamielinux.fedorapeople.org/grunt/nodejs-grunt-init.spec
SRPM URL: http://jamielinux.fedorapeople.org/grunt/SRPMS/nodejs-grunt-init-0.2.1-2.fc20.src.rpm

* Sat Jan 11 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.1-2
- fix version of npm(semver) dependency
- improve description and summary


(In reply to Zbigniew Jędrzejewski-Szmek from comment #3)
> Issues
> ------
> 
> Please sed /usr/bin/env out.

This shebang is used in majority of the nodejs packages that put scripts in /usr/bin.
Comment 8 Jamie Nguyen 2014-03-15 13:22:37 EDT
Spec URL: http://jamielinux.fedorapeople.org/grunt/nodejs-grunt-init.spec
SRPM URL: http://jamielinux.fedorapeople.org/grunt/SRPMS/nodejs-grunt-init-0.3.1-1.fc21.src.rpm

* Sat Mar 15 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.1-1
- update to upstream release 0.3.1
Comment 9 Zbigniew Jędrzejewski-Szmek 2014-03-17 02:51:43 EDT
I somehow thought that comment #7 was only about /usr/bin/env, and completely missed the updated spec. Sorry.

Everything seems to be fixed, but it now seems to depend on newer async package.
Comment 10 Zbigniew Jędrzejewski-Szmek 2014-03-18 10:22:44 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
MIT license.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-grunt-init-0.3.1-1.fc21.noarch.rpm
          nodejs-grunt-init-0.3.1-1.fc21.src.rpm
nodejs-grunt-init.noarch: W: only-non-binary-in-usr-lib
nodejs-grunt-init.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-init/node_modules/colors /usr/lib/node_modules/colors
nodejs-grunt-init.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-init/node_modules/async /usr/lib/node_modules/async
nodejs-grunt-init.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-init/node_modules/grunt /usr/lib/node_modules/grunt
nodejs-grunt-init.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-init/node_modules/lodash /usr/lib/node_modules/lodash
nodejs-grunt-init.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-init/node_modules/hooker /usr/lib/node_modules/hooker
nodejs-grunt-init.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-init/node_modules/semver /usr/lib/node_modules/semver
nodejs-grunt-init.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-init/node_modules/prompt /usr/lib/node_modules/prompt
nodejs-grunt-init.noarch: W: no-manual-page-for-binary grunt-init
2 packages and 0 specfiles checked; 0 errors, 9 warnings.

OK.


Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-grunt-init
nodejs-grunt-init.noarch: W: only-non-binary-in-usr-lib
nodejs-grunt-init.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-init/node_modules/colors /usr/lib/node_modules/colors
nodejs-grunt-init.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-init/node_modules/async /usr/lib/node_modules/async
nodejs-grunt-init.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-init/node_modules/grunt /usr/lib/node_modules/grunt
nodejs-grunt-init.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-init/node_modules/lodash /usr/lib/node_modules/lodash
nodejs-grunt-init.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-init/node_modules/hooker /usr/lib/node_modules/hooker
nodejs-grunt-init.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-init/node_modules/semver /usr/lib/node_modules/semver
nodejs-grunt-init.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-init/node_modules/prompt /usr/lib/node_modules/prompt
nodejs-grunt-init.noarch: W: no-manual-page-for-binary grunt-init
1 packages and 0 specfiles checked; 0 errors, 9 warnings.
# echo 'rpmlint-done:'

OK.

Requires
--------
nodejs-grunt-init (rpmlib, GLIBC filtered):
    /usr/bin/env
    nodejs(engine)
    npm(async)
    npm(colors)
    npm(grunt)
    npm(hooker)
    npm(lodash)
    npm(prompt)
    npm(semver)



Provides
--------
nodejs-grunt-init:
    nodejs-grunt-init
    npm(grunt-init)



Source checksums
----------------
http://registry.npmjs.org/grunt-init/-/grunt-init-0.3.1.tgz :
  CHECKSUM(SHA256) this package     : 6d7b128b943d4b873430f9519bf3b7c2121a21940c0f1103fece04e837d2690d
  CHECKSUM(SHA256) upstream package : 6d7b128b943d4b873430f9519bf3b7c2121a21940c0f1103fece04e837d2690d


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 977141 -L nodejs-async/noarch -c -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Built with local dependencies:
    /home/zbyszek/fedora/nodejs-async/noarch/nodejs-async-0.2.10-1.fc21.noarch.rpm


Everything seems kosher. Hopefully nodejs-async will get updated soon.

Package is APPROVED.
Comment 11 Jamie Nguyen 2014-03-19 03:55:21 EDT
New Package SCM Request
=======================
Package Name: nodejs-grunt-init
Short Description: Generate project scaffolding from a template
Owners: jamielinux patches
Branches: f19 f20 el6
InitialCC:
Comment 12 Jon Ciesla 2014-03-19 08:02:33 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.